package main.maps;

import main.Tile;

public class Map02 extends Map {

	public Map02() {
		super(15, 11);

		for (int x = 0; x < map.length; x++) {
			for (int y = 0; y < map[0].length; y++) {
				// Wand
				if (y == 0 || x == 0 || y == 10 || x == 14) {
					// Übergang, Tür
					if (y == 10) {
						if (x > 4 && x < 10) {
							map[x][y] = new Tile(5, x, y);
							add(map[x][y]);
							continue;
						}
					}
					map[x][y] = new Tile(3, x, y);
					add(map[x][y]);
				}
				// 3D-Wand
				 else if(y == 1 ) {
					 map[x][y] = new Tile(4, x, y);
					 add(map[x][y]);
				}
				// Steinboden
				else {
					map[x][y] = new Tile(5, x, y);
					add(map[x][y]);
				}
			}
		}
	}
}
